- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# node_void Class Reference

`#include <node_impl.hpp>`

Inheritance diagram for node_void:

List of all members.

## Public Member Functions
| node_void ()
| node_void (std::istream &stream)
## Private Member Functions
virtual void | print_node (std::ostream &stream, int indent) const
virtual number | evaluate_node () const
virtual std::string | evaluate_string () const
virtual void | save_node (std::ostream &stream) const

## Detailed Description

Void data type. Currently used only for the node default constructor.

Definition at line 55 of file node_impl.hpp.

## Constructor & Destructor Documentation

node_void::node_void | ( |  | ) |

Definition at line 105 of file node_impl.cpp.

    00106 : node_impl()
    00107 {}

node_void::node_void | ( | std::istream & | stream | ) |

Definition at line 109 of file node_impl.cpp.

    00110 : node_impl()
    00111 {}

## Member Function Documentation

void node_void::print_node | ( | std::ostream & | stream,
|  | int | indent |
| ) |  |  | const`[private, virtual]`

Implements node_impl.

Definition at line 113 of file node_impl.cpp.

    00115 {
    00116   stream << std::setw(indent) << "" << "void\n";
    00117 }

number node_void::evaluate_node | ( |  | ) | const`[private, virtual]`

Implements node_impl.

Definition at line 119 of file node_impl.cpp.

    00121 {
    00122   return number();
    00123 }

std::string node_void::evaluate_string | ( |  | ) | const`[private, virtual]`

Reimplemented from node_impl.

Definition at line 125 of file node_impl.cpp.

    00127 {
    00128   return std::string();
    00129 }

void node_void::save_node | ( | std::ostream & | stream | ) | const`[private, virtual]`

Implements node_impl.

Definition at line 131 of file node_impl.cpp.

    00133 {
    00134   stream << "void\n";
    00135 }

The documentation for this class was generated from the following files:

- node_impl.hpp
- node_impl.cpp